Skip to main content
GET
/
v5
/
invoicing
/
payment
Get a payment
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/invoicing/payment \
  --header 'Authorization: Bearer <token>'
{
  "invoiceId": 123,
  "bankAccountId": 123,
  "id": 123,
  "bankTransferId": 123,
  "apiName": "STRIPE",
  "apiPaymentId": "pi_3KX9F5KkMq1CsF5K00DChQgZ",
  "apiAccountNo": "<string>",
  "apiAccountName": "<string>",
  "apiInstitutionId": "<string>",
  "bankDescription": "<string>",
  "grossPaymentAmount": 300,
  "feePaymentAmount": 9,
  "amountApplied": 50.01,
  "paymentSource": "Visa *4747 Charge",
  "date": "2021-01-04",
  "status": "PROCESSED",
  "reviewStatus": "PARTNER_REVIEW_REQUIRED",
  "receiptUrl": "<string>",
  "errorMessage": "<string>",
  "customData": {},
  "v6EntityId": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

id
string<int32>
default:""

Id of the specific payment. Either this or apiPaymentId is required.

apiPaymentId
string
default:""

Id of the specific payment from your DB. Either this or id is required.

Response

200 - application/json

Successful operation

An array of Invoice Payments associated with this invoice. Only populated if includePayments is set to true.

invoiceId
integer<int64>
required

Id of the invoice to pay

bankAccountId
integer<int64>
required

id of the user's bank account

id
integer<int64>

Id of the payment, required when updating an existing payment

bankTransferId
integer<int64>

Id of the bank transfer (bank deposit) that this payment was reconciled against

apiName
enum<string>

Name of the API that this payment originated from

Available options:
THIRD_PARTY_PAYMENTS,
STRIPE,
USER_ENTRY,
ADYEN
Example:

"STRIPE"

apiPaymentId
string

Id of the payment in your DB (or from your payment processor)

Example:

"pi_3KX9F5KkMq1CsF5K00DChQgZ"

apiAccountNo
string

Mask of the user's bank account, often the last 4 digits of the account number

apiAccountName
string

Display name for the bank account from which this income originated

apiInstitutionId
string

Name or id of the institution from which this transaction originated

bankDescription
string

Transaction description, similar to what will show on the user's bank statement

grossPaymentAmount
number

The total amount to apply to the invoice, required for third-party payments

Example:

300

feePaymentAmount
number

The service fee to process the payment (subtracted out of the grossPaymentAmount)

Example:

9

amountApplied
number

Total amount applied towards the invoice

Example:

50.01

paymentSource
string

Display name for the payment

Example:

"Visa *4747 Charge"

date
string<date>

Date of the payment

Example:

"2021-01-04"

status
enum<string>

Status of the payment, required for third-party payments

Available options:
PROCESSED,
CANCELED,
REFUNDED,
PENDING,
FAILED,
INACTIVE,
PENDING,
PROCESSED,
CANCELED,
REFUNDED,
FAILED,
INACTIVE
reviewStatus
enum<string>

Review status of the expense

Available options:
PARTNER_REVIEW_REQUIRED,
USER_REVIEW_REQUIRED,
ACCOUNTANT_REVIEW_REQUIRED,
RECONCILIATION_STAGED,
RECONCILED,
RECONCILIATION_DISCREPANCY,
ADJUSTMENT_USER_REVIEW_REQUIRED,
ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED,
ADJUSTMENT_RECONCILIATION_STAGED,
RECONCILIATION_AWAITING,
PARTNER_REVIEW_REQUIRED,
USER_REVIEW_REQUIRED,
ACCOUNTANT_REVIEW_REQUIRED,
RECONCILIATION_STAGED,
RECONCILED,
RECONCILIATION_DISCREPANCY,
ADJUSTMENT_USER_REVIEW_REQUIRED,
ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED,
ADJUSTMENT_RECONCILIATION_STAGED
receiptUrl
string

Url at which the receipt can be accessed

errorMessage
string

Further detail or reasoning describing the status of the payment for FAILED, CANCELLED, REFUNDED, or INACTIVE invoices

customData
object

Custom JSON in which you can store any data with max length of 2000 characters

v6EntityId
string

Entity id on the v6 API for this payment